# Visualization
TKV3d
Visual3d

# Visual3d_LayerDefinitionError Class Reference

`#include <Visual3d_LayerDefinitionError.hxx>`

## Public Member Functions

Standard_EXPORT | Visual3d_LayerDefinitionError ()
Standard_EXPORT | Visual3d_LayerDefinitionError (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
static Standard_EXPORT | Handle (Visual3d_LayerDefinitionError) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const

## Friends

Standard_EXPORT friend Handle_Standard_Type & | Visual3d_LayerDefinitionError_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_LayerDefinitionError::Visual3d_LayerDefinitionError | ( |  | ) | `[inline]`

Standard_EXPORT Visual3d_LayerDefinitionError::Visual3d_LayerDefinitionError | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const Visual3d_LayerDefinitionError::Handle | ( | Standard_Type |  | ) | const

static Standard_EXPORT Visual3d_LayerDefinitionError::Handle | ( | Visual3d_LayerDefinitionError |  | ) | const`[static]`

static Standard_EXPORT void Visual3d_LayerDefinitionError::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

static Standard_EXPORT void Visual3d_LayerDefinitionError::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

virtual Standard_EXPORT void Visual3d_LayerDefinitionError::Throw | ( |  | ) | const`[private, virtual]`

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& Visual3d_LayerDefinitionError_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- Visual3d_LayerDefinitionError.hxx